org.apache.lucene.store

## Class NIOFSDirectory.NIOFSIndexInput

- java.lang.Object
- - org.apache.lucene.store.IndexInput
  - - org.apache.lucene.store.BufferedIndexInput
    - - org.apache.lucene.store.SimpleFSDirectory.SimpleFSIndexInput
      - - org.apache.lucene.store.NIOFSDirectory.NIOFSIndexInput

- All Implemented Interfaces:
    java.lang.Cloneable
  Enclosing class:
    NIOFSDirectory

      protected static class NIOFSDirectory.NIOFSIndexInput
      extends SimpleFSDirectory.SimpleFSIndexInput

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.store.SimpleFSDirectory.SimpleFSIndexInput

      `SimpleFSDirectory.SimpleFSIndexInput.Descriptor`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.store.SimpleFSDirectory.SimpleFSIndexInput

      `chunkSize, file`

    - ### Fields inherited from class org.apache.lucene.store.BufferedIndexInput

      `buffer, BUFFER_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NIOFSIndexInput(java.io.File path, int bufferSize)` Deprecated. Please use ctor taking chunkSize
    `NIOFSIndexInput(java.io.File path, int bufferSize, int chunkSize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes the stream to further operations.
    `protected void` | `newBuffer(byte[] newBuffer)`
    `protected void` | `readInternal(byte[] b, int offset, int len)` IndexInput methods

    - ### Methods inherited from class org.apache.lucene.store.SimpleFSDirectory.SimpleFSIndexInput

      `clone, length, seekInternal`

    - ### Methods inherited from class org.apache.lucene.store.BufferedIndexInput

      `getBufferSize, getFilePointer, readByte, readBytes, readBytes, seek, setBufferSize`

    - ### Methods inherited from class org.apache.lucene.store.IndexInput

      `readChars, readInt, readLong, readString, readStringStringMap, readVInt, readVLong, setModifiedUTF8StringsMode, skipChars`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NIOFSIndexInput

          public NIOFSIndexInput(java.io.File path,
                                 int bufferSize)
                          throws java.io.IOException

      Deprecated. Please use ctor taking chunkSize
      Throws:
        `java.io.IOException`

    - #### NIOFSIndexInput

          public NIOFSIndexInput(java.io.File path,
                                 int bufferSize,
                                 int chunkSize)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### newBuffer

          protected void newBuffer(byte[] newBuffer)

      Overrides:
        `newBuffer` in class `BufferedIndexInput`

    - #### close

          public void close()
                     throws java.io.IOException

      Description copied from class: `IndexInput`
      Closes the stream to further operations.
      Overrides:
        `close` in class `SimpleFSDirectory.SimpleFSIndexInput`
      Throws:
        `java.io.IOException`

    - #### readInternal

          protected void readInternal(byte[] b,
                                      int offset,
                                      int len)
                               throws java.io.IOException

      Description copied from class: `SimpleFSDirectory.SimpleFSIndexInput`
      IndexInput methods
      Overrides:
        `readInternal` in class `SimpleFSDirectory.SimpleFSIndexInput`
      Parameters:
        `b` - the array to read bytes into
        `offset` - the offset in the array to start storing bytes
        `len` - the number of bytes to read
      Throws:
        `java.io.IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.